<?php
/*
Plugin Name: send2Nabaztag Plugin
Plugin URI: http://www.glagla.org/weblog/2008/01/31/plugin-wordpress-pour-le-nabaztag/
Description: Simple form to send tts, modify ears positions and choose preformated text to a Nabaztag. Modified by <a href=http://www.spry.fr">Spry</a>
Version: 0.4
Author: Olivier Mansour 
Contributor: Mith (http://www.podelife.info/) & Spry (http://www.spry.fr/)
Author URI: http://www.glagla.org
*/

add_action('admin_menu', 'send2Nabaztag_config_page');

function send2Nabaztag_config_page()
{
	global $wpdb;
	if ( function_exists('add_submenu_page') )
		add_submenu_page('plugins.php', __('send2Nabaztag Configuration'), __('send2Nabaztag Configuration'), 1, __FILE__, 'send2Nabaztag_conf');
}

function send2Nabaztag_conf ()
{
	$options = get_option('nab_send2Nabaztag');
	if (!isset($options['send2Nabaztag_tokenid'])) $options['send2Nabaztag_tokenid'] = null;
	$updated = false;
	if (isset($_POST['submit']) ) {
		check_admin_referer();
		if (isset($_POST['send2Nabaztag_tokenid'])) {
			$token_id = $_POST['send2Nabaztag_tokenid'];
		}
		else
		{
			$token_id = null;
		}
		
		if (isset($_POST['send2Nabaztag_serialid'])) {
			$serial_id = $_POST['send2Nabaztag_serialid'];
		}
		else
		{
			$serial_id = null;
		}


		
		
		$options['send2Nabaztag_tokenid'] = $token_id;
		$options['send2Nabaztag_serialid'] = $serial_id; 
		$options['send2Nabaztag_ears'] = $_POST['send2Nabaztag_ears'];
		
		update_option('nab_send2Nabaztag', $options);
		
		$updated = true;
	}
	
	// display the form 
?>
<div class="wrap">
<?php
if ($updated) {
	echo "<div id='message' class='updated fade'><p>";
	_e('Configuration updated.');
	echo "</p></div>";
}
?>
<h2><?php _e('send2Nabaztag Configuration'); ?></h2>
<p>
<?php _e('Entrez ici <a href="http://my.nabaztag.com/vl/action/myTerrier.do?onglet=MesPreferences">le <i>token id</i></a> et le numéro de série de votre Nabaztag.'); ?>
</p>
<form action="" method="post" id="send2Nabaztag-conf">

<h3><label for="send2Nabaztag_tokenid"><?php _e('Token id'); ?></label></h3>
<p><input id="send2Nabaztag_tokenid" name="send2Nabaztag_tokenid" type="text" size="65" maxlength="200" value="<?php echo $options['send2Nabaztag_tokenid']; ?>" /></p>
<h3><label for="send2Nabaztag_serialid"><?php _e('Numéro de série'); ?></label></h3>
<p><input id="send2Nabaztag_serialid" name="send2Nabaztag_serialid" type="text" size="65" maxlength="200" value="<?php echo $options['send2Nabaztag_serialid']; ?>" /></p>
<h3><label for="send2Nabaztag_ears"><?php _e('Permettre de faire bouger les oreilles du lapin ?'); ?></label></h3>
<p><select name="send2Nabaztag_ears">
<option value="0">non</option>
<option value="1" <?php if ($options['send2Nabaztag_ears']) echo "selected"; ?>>oui</option>
</select>
</p>


<p class="submit" style="text-align: left"><input type="submit" name="submit" value="<?php _e('Save &raquo;'); ?>" /></p>

</form>


<?php	
}
// end function send2Nabaztag_conf

function display_send2Nabaztag_form ($content)
{
	$tpattern = '[SEND2NAB_FORM]';
	$options = get_option('nab_send2Nabaztag');
	
	if (strstr($content, $tpattern)) // process the text
	{
		if (isset($_POST['submit']))
		{
			$str = '<div id="send2Nabaztag">';
			// check the data
			$data_ok = true;
			if ((!$_POST['sn']) or (!$_POST['token']))
			{
				// something is wrong
				$data_ok = false;
				$str .= '<p class="send2Nabaztag_error">'.__('Je ne trouve pas votre token id et/ou votre numéro de série').' <a href="'.$_SERVER['REQUEST_URI'].'">'.__('retour').'</a></p>';
			}
			
			if (!$_POST['tts'] && !$_POST['MessID'])
			{
				// no data to send
				$data_ok = false;
				$str .= '<p class="send2Nabaztag_error">'.__('Entrez quelque chose à dire au lapin !').' <a href="'.$_SERVER['REQUEST_URI'].'">'.__('retour').'</a></p>';
			}
			
			if ($data_ok)
			{
				$nab_url = 'http://api.nabaztag.com/vl/FR/api.jsp?sn='.$_POST['sn'].'&token='.$_POST['token'].'&tts='.urlencode(stripslashes($_POST['tts']) . " de la part de " . stripslashes($_POST['pseudo'])).'&nabcasttitle=msg+send+with+the+send2Nabaztag+wordpress+plugin';
				if($_POST['MessID'] != "") $nab_url .= "&idmessage=".$_POST['MessID'];
				if($_POST['PosLeft'] != "") $nab_url .= "&posleft=".$_POST['PosLeft'];
				if($_POST['PosRight'] != "") $nab_url .= "&posright=".$_POST['PosRight'];
				if ($_POST['voice'] != '') $nab_url .= "&voice=".$_POST['voice'];
				$response = file_get_contents($nab_url);
				if ($response)
				{
					// process the response
					if (preg_match ('/^(.*)(<message>)(.*)(<\/message>)(.*)(<comment>)(.*)(<\/comment>)(.*)$/', $response, $matches))
					{
						
						// extract message and comment
						$nab_message = $matches[3];
						$comment = $matches[7];
						if (strpos($nab_message, 'SENT')) {
							$str .= '<p class="send2Nabaztag_success">'.__('Hourra ! Le message a été envoyé').'.</p>';
						}
						else
						{
							$str.= '<p class="send2Nabaztag_error">'.__('Le message n\'a pas été envoyé').'. '.__('le service Nabztag me dit : ').$nab_message.' '.$comment.'</p>';
						}
					}
					else
					{
						// invalid respons ?	
						$str .= '<p class="send2Nabaztag_error">'.__('Je ne sais pas si le message a bien été envoyé, le service de Nabaztag m\'a renvoyé une réponse invalide !?').'</p>';
					}
					
				}
				else
				{
					$str .= '<p class="send2Nabaztag_error">'.__('Le message ne peut pas être envoyé, le service Nabaztag semble en panne').'</p>';
				}
			}
			
			
			
			//
			
			$str .= '</div>';
		}
		else
		{
			// display the form
			$str = '<div id="send2Nabaztag">';
			$str .=  '<form action="#send2Nabaztagform" method="post">';
			$str .= '<input type="hidden" name="token" value="'.$options['send2Nabaztag_tokenid'].'" >';
			$str .= '<input type="hidden" name="sn" value="'.$options['send2Nabaztag_serialid'].'" >';
			$str .= '<input type="hidden" name="uri" value="'.$_SERVER['REQUEST_URI'].'">';
			
			$str .= '<label for="pseudo">Votre pseudo :</label><br/>';
			$str .= '<textarea name="pseudo" cols="30" rows="1"></textarea><br/>';
			
			$str .= '<label for="tts">'.__('Votre message pour le lapin :').'</label><br/>';
			$str .= '<textarea name="tts" cols="30" rows="5"></textarea><br/>';
			
			$str .= '<label for="voice">'.__('Voix utilisée pour la lecture des messages :').'</label><br/>';
			$str .= '<select name="voice">';
			$str .= '<option value="FR-Anastasie">Anastasie</option>';			
			$str .= '<option value="FR-Archibald">Archibald</option>';
			$str .= '<option value="bruno22k">Bruno</option>';
			$str .= '<option value="FR-Gertrude">Gertrude</option>';
			$str .= '<option value="FR-Maxence">Maxence</option>';
			$str .= '</select><br/>';
			
			$str .= '<label for="MessID">'.__('Choix du message vocal prédéfini :').'</label><br/>';
			$str .= '<select name="MessID">';
			$str .= '<option></option>';
			$str .= '<option value="3376249" title="Finalement on ne part pas!">Finalement on ne part pas!</option>';
			$str .= '<option value="3376248" title="J'."'".'arrive">J'."'".'arrive</option>';
			$str .= '<option value="3376247" title="A taaaaable!">A taaaaable!</option>';
			$str .= '<option value="3376246" title="J'."'".'ai mis le truc au four alors faudrait voir a pas trop tarder.">J'."'".'ai mis le truc au four alors</option>';
			$str .= '<option value="3376245" title="Peux-tu faire les courses ?">Peux-tu faire les courses ?</option>';
			$str .= '<option value="3376244" title="Je suis en retard">Je suis en retard</option>';
			$str .= '<option value="3376243" title="Machin machine">Machin machine</option>';
			$str .= '<option value="3376242" title="Je m'."'".'occupe des fleurs !">Je m'."'".'occupe des fleurs !</option>';
			$str .= '<option value="3376241" title="Je loue le film">Je loue le film</option>';
			$str .= '<option value="3376240" title="On dîne dehors ?">On dîne dehors ?</option>';
			$str .= '<option value="3376238" title="Peux-tu aller chercher les chaussures">Peux-tu aller chercher les cha</option>';
			$str .= '<option value="3376239" title="Les courses? c'."'".'est moi.">Les courses? c'."'".'est moi.</option>';
			$str .= '<option value="3376237" title="Je prends le vin">Je prends le vin</option>';
			$str .= '<option value="3376236" title="Tu ne veux pas aller à la banque ?">Tu ne veux pas aller à la banq</option>';
			$str .= '<option value="3376234" title="Peux-tu me rendre un immense service ? aller à la poste.">Peux-tu me rendre un immense s</option>';
			$str .= '<option value="3376235" title="La blanchisseuse souhaiterait te rencontrer">La blanchisseuse souhaiterait </option>';
			$str .= '<option value="3376233" title="Désolé, ne m'."'".'attends pas pour dîner">Désolé, ne m'."'".'attends pas pour </option>';
			$str .= '<option value="3376232" title="Le ménage, ne va malheureusement pas se faire tout seul">Le ménage, ne va malheureuseme</option>';
			$str .= '<option value="3376231" title="Toi téléphone maison">Toi téléphone maison</option>';
			$str .= '<option value="3376230" title="Nous ne serons pas seuls ce soir">Nous ne serons pas seuls ce so</option>';
			$str .= '<option value="3376229" title="Achète le journal plize">Achète le journal plize</option>';
			$str .= '<option value="3376228" title="N'."'".'oublie pas d'."'".'acheter le pain">N'."'".'oublie pas d'."'".'acheter le pain</option>';
			$str .= '<option value="3376227" title="J'."'".'ai réservé pour 21h30">J'."'".'ai réservé pour 21h30</option>';
			$str .= '<option value="3376226" title="J'."'".'ai réservé pour 21h00">J'."'".'ai réservé pour 21h00</option>';
			$str .= '<option value="3376223" title="J'."'".'ai réservé pour 22h00">J'."'".'ai réservé pour 22h00</option>';
			$str .= '<option value="3376225" title="J'."'".'ai réservé pour 20h30">J'."'".'ai réservé pour 20h30</option>';
			$str .= '<option value="3376224" title="J'."'".'ai réservé pour 20h00">J'."'".'ai réservé pour 20h00</option>';
			$str .= '<option value="3376253" title="Tu peux changer la litière ?">Tu peux changer la litière ?</option>';
			$str .= '<option value="3376252" title="Wouaf wouaf (message à envoyer a un chien)">Wouaf wouaf (message à envoyer</option>';
			$str .= '<option value="3376251" title="Miaou Miaou le chat (message à envoyer à un chat)">Miaou Miaou le chat (message à</option>';
			$str .= '<option value="3376250" title="TOUTOU">TOUTOU</option>';
			$str .= '<option value="3376284" title="Horloge amoureuse">Horloge amoureuse</option>';
			$str .= '<option value="3376283" title="Comment ça trop de bisous?">Comment ça trop de bisous ?</option>';
			$str .= '<option value="3376282" title="Je pense à toi">Je pense à toi</option>';
			$str .= '<option value="3376281" title="C'."'".'est la fête">C'."'".'est la fête</option>';
			$str .= '<option value="3376280" title="Météo Amoureuse">Météo Amoureuse</option>';
			$str .= '<option value="3376278" title="-.--..-.">-.--..-.</option>';
			$str .= '<option value="3376279" title="Vous manquez cruellement à votre moitié">Vous manquez cruellement à vot</option>';
			$str .= '<option value="3376277" title="Nabaztralucide">Nabaztralucide</option>';
			$str .= '<option value="3376276" title="Méfiez vous des lapinoux">Méfiez vous des lapinoux</option>';
			$str .= '<option value="3376275" title="Jalousie avouée, à moitié pardonnée.">Jalousie avouée, à moitié pard</option>';
			$str .= '<option value="3376273" title="Coucou">Coucou</option>';
			$str .= '<option value="3376274" title="Ah l'."'".'amour?">Ah l'."'".'amour?</option>';
			$str .= '<option value="3376272" title="Ne vous fiez pas au lapin">Ne vous fiez pas au lapin</option>';
			$str .= '<option value="3376271" title="Bonne nuit">Bonne nuit</option>';
			$str .= '<option value="3376270" title="Bisous bisous">Bisous bisous</option>';
			$str .= '<option value="3376269" title="Un peu Beaucoup?">Un peu Beaucoup?</option>';
			$str .= '<option value="3376268" title="A c'."'".'est chouette d'."'".'être amoureux">A c'."'".'est chouette d'."'".'être amoure</option>';
			$str .= '<option value="3376267" title="Pochette Surprise">Pochette Surprise</option>';
			$str .= '<option value="3376266" title="Mon petit doigt m'."'".'a dit">Mon petit doigt m'."'".'a dit</option>';
			$str .= '<option value="3376265" title="J'."'".'ai la mémoire qui me joue des tours">J'."'".'ai la mémoire qui me joue de</option>';
			$str .= '<option value="3376263" title="Petit mot doux">Petit mot doux</option>';
			$str .= '<option value="3376264" title="Oreille qui gratte?">Oreille qui gratte?</option>';
			$str .= '<option value="3376262" title="Tribunal">Tribunal</option>';
			$str .= '<option value="3376261" title="Chaud devant!">Chaud devant!</option>';
			$str .= '<option value="3376260" title="J'."'".'ai très envie de t'."'".'embrasser avant ce soir">J'."'".'ai très envie de t'."'".'embrasser</option>';
			$str .= '<option value="3376259" title="La vie est belle">La vie est belle</option>';
			$str .= '<option value="3376258" title="Tu me manques">Tu me manques</option>';
			$str .= '<option value="3376257" title="Zoubisous">Zoubisous</option>';
			$str .= '<option value="3376255" title="La rumeur?">La rumeur ?</option>';
			$str .= '<option value="3376256" title="Tu veux bien être mon époux ?">Tu veux bien être mon époux ?</option>';
			$str .= '<option value="3376254" title="Livraison de bisous">Livraison de bisous</option>';
			$str .= '<option value="3376295" title="Ma réunion s'."'".'éternise.">Ma réunion s'."'".'éternise.</option>';
			$str .= '<option value="3376294" title="Ok pour la réunion">Ok pour la réunion</option>';
			$str .= '<option value="3376293" title="Tous en salle de réunion!">Tous en salle de réunion!</option>';
			$str .= '<option value="3376292" title="Réunion, now !">Réunion, now !</option>';
			$str .= '<option value="3376291" title="Report de rendez-vous">Report de rendez-vous</option>';
			$str .= '<option value="3376290" title="Rendez-vous ok">Rendez-vous ok</option>';
			$str .= '<option value="3376289" title="Je viens dans ton bureau">Je viens dans ton bureau</option>';
			$str .= '<option value="3376288" title="On se voit dans mon bureau?">On se voit dans mon bureau?</option>';
			$str .= '<option value="3376287" title="Pause café?">Pause café?</option>';
			$str .= '<option value="3376286" title="Ouf! La réunion est reportée !">Ouf! La réunion est reportée !</option>';
			$str .= '<option value="3376285" title="Réunion confirmée- STOP">Réunion confirmée- STOP</option>';
			$str .= '<option value="3376306" title="A demain">A demain</option>';
			$str .= '<option value="3376307" title="Veuillez agréer...">Veuillez agréer...</option>';
			$str .= '<option value="3376304" title="Salut !">Salut !</option>';
			$str .= '<option value="3376305" title="Bonne soirée">Bonne soirée</option>';
			$str .= '<option value="3376303" title="Et sinon, comment ça va?">Et sinon, comment ça va?</option>';
			$str .= '<option value="3376302" title="Bonjour x 2">Bonjour x 2</option>';
			$str .= '<option value="3376301" title="Bonjour">Bonjour</option>';
			$str .= '<option value="3376300" title="Coucou">Coucou</option>';
			$str .= '<option value="3376299" title="Bonsoir">Bonsoir</option>';
			$str .= '<option value="3376298" title="Babaille">Babaille</option>';
			$str .= '<option value="3376297" title="Ciao">Ciao</option>';
			$str .= '<option value="3376296" title="Bon ben euh... Bonsoir!">Bon ben euh... Bonsoir!</option>';
			$str .= '<option value="3376328" title="On se retrouve directement">On se retrouve directement</option>';
			$str .= '<option value="3376327" title="Ah! Ce soir...">Ah! Ce soir...</option>';
			$str .= '<option value="3376326" title="Tu passes me prendre?">Tu passes me prendre?</option>';
			$str .= '<option value="3376325" title="Meet me on Internet">Meet me on Internet</option>';
			$str .= '<option value="3376324" title="Meet me at the bar">Meet me at the bar</option>';
			$str .= '<option value="3376323" title="Venez dîner demain">Venez dîner demain</option>';
			$str .= '<option value="3376321" title="Venez dîner Samedi">Venez dîner Samedi</option>';
			$str .= '<option value="3376320" title="Libre à dej?">Libre à dej?</option>';
			$str .= '<option value="3376319" title="On se retrouve à la gym?">On se retrouve à la gym?</option>';
			$str .= '<option value="3376318" title="Finalement, on se rejoint au cinéma directement.">Finalement, on se rejoint au c</option>';
			$str .= '<option value="3376317" title="Merci pour hier">Merci pour hier</option>';
			$str .= '<option value="3376316" title="Allez c'."'".'est moi qui régale vendredi">Allez c'."'".'est moi qui régale vendredi</option>';
			$str .= '<option value="3376315" title="Je ne vais pas tarder">Je ne vais pas tarder</option>';
			$str .= '<option value="3376314" title="Je ne peux pas venir ce soir, excuse moi">Je ne peux pas venir ce soir, </option>';
			$str .= '<option value="3376313" title="Tu m'."'".'excuses???">Tu m'."'".'excuses???</option>';
			$str .= '<option value="3376312" title="A tout de suite">A tout de suite</option>';
			$str .= '<option value="3376311" title="Je viendrai plus tard mais je viendrai!">Je viendrai plus tard mais je </option>';
			$str .= '<option value="3376310" title="Tu es libre ce soir?">Tu es libre ce soir?</option>';
			$str .= '<option value="3376309" title="On va boire un coup?">On va boire un coup?</option>';
			$str .= '<option value="3376308" title="Je te tel de suite">Je te tel de suite</option>';
			$str .= '<option value="3376329" title="T'."'".'aurai un moment ce week end?">T'."'".'aurai un moment ce week end ?</option>';
			$str .= '<option value="3376330" title="Pardon">Pardon</option>';
			$str .= '<option value="3376331" title="Merci pour les fleurs.">Merci pour les fleurs.</option>';
			$str .= '<option value="3376332" title="Merci pour le cadeau.">Merci pour le cadeau.</option>';
			$str .= '<option value="3376350" title="Youpi tout court">Youpi tout court</option>';
			$str .= '<option value="3376349" title="Une sieste !">Une sieste !</option>';
			$str .= '<option value="3376348" title="J'."'".'en ai marre de ces gens la">J'."'".'en ai marre de ces gens la</option>';
			$str .= '<option value="3376347" title="J'."'".'en ai marre de bosser">J'."'".'en ai marre de bosser</option>';
			$str .= '<option value="3376346" title="C'."'".'est d'."'".'un ennui...">C'."'".'est d'."'".'un ennui...</option>';
			$str .= '<option value="3376345" title="C'."'".'est cool">C'."'".'est cool</option>';
			$str .= '<option value="3376344" title="Les carottes sont confites">Les carottes sont confites</option>';
			$str .= '<option value="3376343" title="Bien joué !">Bien joué !</option>';
			$str .= '<option value="3376342" title="Youpi Youpi!!">Youpi Youpi!!</option>';
			$str .= '<option value="3376341" title="Ouahh! qu'."'".'elle chance">Ouahh! qu'."'".'elle chance</option>';
			$str .= '<option value="3376340" title="A mal à la tête">A mal à la tête</option>';
			$str .= '<option value="3376339" title="Les carottes sont cuites">Les carottes sont cuites</option>';
			$str .= '<option value="3376338" title="Je veux mourir">Je veux mourir</option>';
			$str .= '<option value="3376337" title="J'."'".'ai trop mangé">J'."'".'ai trop mangé</option>';
			$str .= '<option value="3376336" title="Je ne suis pas gentille!">Je ne suis pas gentille!</option>';
			$str .= '<option value="3376334" title="J'."'".'ai un peu faim">J'."'".'ai un peu faim</option>';
			$str .= '<option value="3376335" title="Ca s'."'".'est très bien passé.">Ca s'."'".'est très bien passé.</option>';
			$str .= '<option value="3376333" title="Vivement ce we">Vivement ce we</option>';
			$str .= '<option value="3376353" title="Eh, dis, tu peux m'."'".'appeler?">Eh, dis, tu peux m'."'".'appeler?</option>';
			$str .= '<option value="3376352" title="J'."'".'ai bien eu ton message">J'."'".'ai bien eu ton message</option>';
			$str .= '<option value="3376351" title="Devine quoi">Devine quoi</option>';
			$str .= '<option value="3376368" title="Avec plaisir">Avec plaisir</option>';
			$str .= '<option value="3376367" title="1000 fois oui">1000 fois oui</option>';
			$str .= '<option value="3376366" title="Ba oui mais  bon?">Ba oui mais  bon?</option>';
			$str .= '<option value="3376365" title="Oui oui">Oui oui</option>';
			$str .= '<option value="3376364" title="Je ne sais pas...">Je ne sais pas...</option>';
			$str .= '<option value="3376363" title="Pourquoi pas">Pourquoi pas</option>';
			$str .= '<option value="3376362" title="Il faut qu'."'".'on en reparle">Il faut qu'."'".'on en reparle</option>';
			$str .= '<option value="3376361" title="C'."'".'est  comme ça?">C'."'".'est  comme ça ?</option>';
			$str .= '<option value="3376360" title="On me dit que c'."'".'est pas possible">On me dit que c'."'".'est pas possib</option>';
			$str .= '<option value="3376359" title="OK">OK</option>';
			$str .= '<option value="3376358" title="Pas de problème">Pas de problème</option>';
			$str .= '<option value="3376357" title="Ah non">Ah non</option>';
			$str .= '<option value="3376356" title="Ok pour ce midi">Ok pour ce midi</option>';
			$str .= '<option value="3376355" title="Ca va pas être possible">Ca va pas être possible</option>';
			$str .= '<option value="3376354" title="J'."'".'ai lu ton truc c'."'".'est très bien">J'."'".'ai lu ton truc c'."'".'est très bien</option>';
			$str .= '<option value="3376375" title="Tes enfants">Tes enfants</option>';	
			$str .= '<option value="3376376" title="Allez, au dodo">Allez, au dodo</option>';
			$str .= '<option value="3376374" title="Et tes devoirs?">Et tes devoirs?</option>';
			$str .= '<option value="3376373" title="Maman va rentrer tard">Maman va rentrer tard</option>';
			$str .= '<option value="3376372" title="Bonne Chance">Bonne Chance</option>';
			$str .= '<option value="3376371" title="Allez, au bain !">Allez, au bain !</option>';
			$str .= '<option value="3376370" title="Tu as fini tes devoirs?">Tu as fini tes devoirs?</option>';
			$str .= '<option value="3376369" title="Va te brosser les dents">Va te brosser les dents</option>';
			$str .= '<option value="3376380" title="Où en es tu ?">Où en es tu ?</option>';
			$str .= '<option value="3376379" title="Je vais être en retard">Je vais être en retard</option>';
			$str .= '<option value="3376378" title="Tu as fini ?">Tu as fini ?</option>';
			$str .= '<option value="3376377" title="La réunion est reportée">La réunion est reportée</option>';
			$str .= '<option value="3376384" title="Bonnes vacances!!">Bonnes vacances!!</option>';
			$str .= '<option value="3376383" title="Chanson d'."'".'anniversaire">Chanson d'."'".'anniversaire</option>';
			$str .= '<option value="3376382" title="M_ _ _E">M_ _ _E</option>';
			$str .= '<option value="3376381" title="Joyeuses fêtes">Joyeuses fêtes</option>';
			$str .= '<option value="3376386" title="Tu pourras me donner un coup de main ce week end ?">Tu pourras me donner un coup d</option>';
			$str .= '<option value="3376385" title="Tu peux me passer un peu d'."'".'argent plize ?">Tu peux me passer un peu d'."'".'argent ?</option>';
			$str .= '<option value="3376388" title="J'."'".'ai un truc à te demander">J'."'".'ai un truc à te demander</option>';
			$str .= '<option value="3376387" title="Tu pourras me donner un coup de main ce soir ?">Tu pourras me donner un coup d</option>';
			$str .= '<option value="3376409" title="C'."'".'était quoi ?">C'."'".'était quoi ?</option>';
			$str .= '<option value="3376401" title="A pas compris">A pas compris</option>';
			$str .= '<option value="3376398" title="Encore">Encore</option>';
			$str .= '<option value="3376405" title="Je suis le mari de Claudine.">Je suis le mari de Claudine.</option>';
			$str .= '<option value="3376395" title="Arrêter n'."'".'en jeter plus.">Arrêter n'."'".'en jeter plus.</option>';
			$str .= '<option value="3376396" title="Bisous to">Bisous to</option>';
			$str .= '<option value="3376397" title="Thank you for your bisous.">Thank you for your bisous.</option>';
			$str .= '<option value="3376399" title="Où c'."'".'est qu'."'".'ta trouver ça?">Où c'."'".'est qu'."'".'ta trouver ça ?</option>';
			$str .= '<option value="3376390" title="Merci ! merci ! merci !">Merci ! merci ! merci !</option>';
			$str .= '<option value="3376393" title="Bel effort.">Bel effort.</option>';
			$str .= '<option value="3376400" title="C'."'".'est-à-dire ?">C'."'".'est-à-dire ?</option>';
			$str .= '<option value="3376404" title="0 nul à refaire">0 nul à refaire</option>';
			$str .= '<option value="3376406" title="C'."'".'est qui ?">C'."'".'est qui ?</option>';
			$str .= '<option value="3376392" title="Merci, ça fait du bien de rigoler">Merci, ça fait du bien de rigo</option>';
			$str .= '<option value="3376407" title="5 sur 5">5 sur 5</option>';
			$str .= '<option value="3376408" title="Pas mal!">Pas mal!</option>';
			$str .= '<option value="3376394" title="C'."'".'est hyper gentil">C'."'".'est hyper gentil</option>';		
			$str .= '<option value="3376402" title="Mais encore.">Mais encore.</option>';
			$str .= '<option value="3376403" title="8 sur dix">8 sur dix</option>';
			$str .= '<option value="3376389" title="C\'est pas tombé dans l\'oreille d\'un sourd">C\'est pas tombé dans l\'oreille d\un sourd</option>';
			$str .= '<option value="3376391" title="Dis donc c'."'".'est super ton truc !">Dis donc c'."'".'est super ton truc </option>';
			$str .= '</select><br/>';
			
			
			if ($options['send2Nabaztag_ears']) 
			{
				$str .= '<label for="PosLeft">'.__('Bougez son oreille gauche! (0 horizontal - 16 vertical) :  ').'</label><br/>';
				$str .= '<select name="PosLeft">';
				$str .= '<option value=""></option>';					
				$str .= '<option value="0">0</option>';
				$str .= '<option value="1">1</option>';
				$str .= '<option value="2">2</option>';
				$str .= '<option value="3">3</option>';
				$str .= '<option value="4">4</option>';
				$str .= '<option value="5">5</option>';
				$str .= '<option value="6">6</option>';
				$str .= '<option value="7">7</option>';
				$str .= '<option value="8">8</option>';
				$str .= '<option value="9">9</option>';
				$str .= '<option value="10">10</option>';
				$str .= '<option value="11">11</option>';
				$str .= '<option value="12">12</option>';
				$str .= '<option value="13">13</option>';
				$str .= '<option value="14">14</option>';
				$str .= '<option value="15">15</option>';
				$str .= '<option value="16">16</option>';						
				$str .= '</select><br/>';
				
				$str .= '<label for="PosRight">'.__('Bougez son oreille droite! (0 horizontal - 16 vertical) :  ').'</label><br/>';
				$str .= '<select name="PosRight">';
				$str .= '<option value=""></option>';												
				$str .= '<option value="0">0</option>';
				$str .= '<option value="1">1</option>';
				$str .= '<option value="2">2</option>';
				$str .= '<option value="3">3</option>';
				$str .= '<option value="4">4</option>';
				$str .= '<option value="5">5</option>';
				$str .= '<option value="6">6</option>';
				$str .= '<option value="7">7</option>';
				$str .= '<option value="8">8</option>';
				$str .= '<option value="9">9</option>';
				$str .= '<option value="10">10</option>';
				$str .= '<option value="11">11</option>';
				$str .= '<option value="12">12</option>';
				$str .= '<option value="13">13</option>';
				$str .= '<option value="14">14</option>';
				$str .= '<option value="15">15</option>';
				$str .= '<option value="16">16</option>';							
				$str .= '</select><br/><br/>';
			}
			
			$str .= '<input type="submit" name="submit" value="'.__('Envoyez').'" onclick="Javascipr "/>';
			$str .= '</form></div>';
			
		}
		
	}
	$content = str_replace ($tpattern, $str, $content);
	return $content;
}



add_filter('the_content', 'display_send2Nabaztag_form', 	99);